# setLogLevel method Null safety

Future<void> setLogLevel(

1. int level

)

Set log output level

Parameters:

level For more information, please see `TRTC_LOG_LEVEL`. Default value: TRTCCloudDef.TRTC_LOG_LEVEL_NULL

## Implementation

    Future<void> setLogLevel(
        int level // For more information, please see `TRTC_LOG_LEVEL`. Default value: TRTCCloudDef.TRTC_LOG_LEVEL_NULL
        ) {
      return _channel.invokeMethod('setLogLevel', {"level": level});
    }